 SUBROUTINE local_tremain_ini

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Id: local_tremain_ini.f90 83 2007-04-19 16:27:07Z raasch $
!
! 82 2007-04-16 15:40:52Z raasch
! Cpp-directive lctit renamed lc
!
! RCS Log replace by Id keyword, revision history cleaned up
!
! Revision 1.13  2007/02/11 13:07:03  raasch
! Allowed cpu limit is now read from file instead of reading the value from
! environment variable (see routine parin)
!
! Revision 1.1  1998/03/18 20:15:05  raasch
! Initial revision
!
!
! Description:
! ------------
! Initialization of CPU-time measurements for different operating systems
!------------------------------------------------------------------------------!

    USE control_parameters
    USE cpulog

    IMPLICIT NONE

#if defined( __ibm )
    CHARACTER (LEN=10) ::  value_chr
    INTEGER            ::  idum
    INTEGER(8)         ::  IRTC
#elif defined( __lc )
    CHARACTER (LEN=10) ::  value_chr
    INTEGER            ::  idum
    INTEGER            ::  count, count_rate
#endif


!
!-- Get initial wall clock time
#if defined( __ibm )

    initial_wallclock_time = IRTC( ) * 1E-9

#elif defined( __lc )

    CALL SYSTEM_CLOCK( count, count_rate )
    initial_wallclock_time = REAL( count ) / REAL( count_rate )

#else
!
!-- So far, nothing is done on these machines
#endif


 END SUBROUTINE local_tremain_ini
